Subject: 回复：Re: 回复： bug#31745: Frame's bug whenwindow-system

From: "刘力铭" <[email-masked]>
Date: Fri, 8 Jun 2018 09:19:26 +0800

I am not using XWayland. Is scaling about font size? But if i comment the line `(add-to-list 'default-frame-alist '(font . "Sarasa Mono CL 12"))`, it also occurs.

------------------ 原始邮件 ------------------
发件人: "Robert Pluim"<[email-masked]>;
发送时间: 2018年6月7日(星期四) 晚上11:15
收件人: "刘力铭"<[email-masked]>;
抄送: "31745"<[email-masked]>; 
主题: Re: 回复： bug#31745: Frame's bug whenwindow-system

[please keep the bug address in CC]

"刘力铭" <[email-masked]> writes:

> This not happen when running `emacs -Q -l .emacs`.
>
>
> Add then, i tried to comment different regions in my configuration
> file, and found it seems that only if i comment both `(require
> 'em-tramp)` and line 239-241 which confige mode line's theme, this bug
> will not happen. And if i uncomment either of them, the bug will
> occur. `(require 'em-tramp)` triggers it more offen than the latter.

Interesting. I donʼt see anything obvious in em-tramp that would cause
this, but that doesnʼt matter, because 'emacs -q' does this here for
me on Fedora 28, but only when I have scaling turned on. Are you
running XWayland by any chance? Do you have scaling enabled?

Thanks

Robert